Bug 486904 - Review Request: perl-Catalyst-Plugin-I18N - I18N for Catalyst
Review Request: perl-Catalyst-Plugin-I18N - I18N for Catalyst
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 00:02 EST by Iain Arnell
Modified: 2011-07-11 10:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.08-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 00:16:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-02-23 00:02:32 EST
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-Catalyst-Plugin-I18N.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-Catalyst-Plugin-I18N-0.08-1.fc11.src.rpm
Description: Supports mo/po files and Maketext classes under your applications I18N namespace.
Comment 1 Parag AN(पराग) 2009-02-23 02:29:54 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1144955
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d5931735f643885ee33ed5b7cbb1fcf7  Catalyst-Plugin-I18N-0.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=27,  1 wallclock secs ( 0.03 usr  0.01 sys +  0.82 cusr  0.05 csys =  0.91 CPU)
+ Package perl-Catalyst-Plugin-I18N-0.08-1.fc11-noarch =>
   Provides: perl(Catalyst::Plugin::I18N) = 0.08
   Requires: perl(I18N::LangTags) perl(I18N::LangTags::Detect) perl(Locale::Maketext::Simple) perl(NEXT) perl(strict) perl(warnings)

Suggestions:
1) you should remove following from SPEC
Requires:       perl(Catalyst::Runtime)
Requires:       perl(Locale::Maketext::Lexicon)
BuildRequires:  perl >= 1:5.8.0


APPROVED.
Comment 2 Iain Arnell 2009-02-23 11:33:40 EST
New Package CVS Request
=======================
Package Name: perl-Catalyst-Plugin-I18N
Short Description: I18N for Catalyst
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-24 15:54:21 EST
cvs done.
Comment 4 Fedora Update System 2009-02-24 23:54:37 EST
perl-Catalyst-Plugin-I18N-0.08-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-I18N-0.08-2.fc10
Comment 5 Fedora Update System 2009-02-24 23:54:44 EST
perl-Catalyst-Plugin-I18N-0.08-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-I18N-0.08-2.fc9
Comment 6 Fedora Update System 2009-03-13 14:40:19 EDT
perl-Catalyst-Plugin-I18N-0.08-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-03-13 14:42:34 EDT
perl-Catalyst-Plugin-I18N-0.08-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Iain Arnell 2011-07-11 06:35:38 EDT
Package Change Request
======================
Package Name: perl-Catalyst-Plugin-I18N
New Branches: el6
Owners: iarnell
Comment 9 Gwyn Ciesla 2011-07-11 10:59:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.